[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMultiReadExclusiveWriteSynchronizer.Endread

Release read access to the resource

## Declaration

Source position: systhrdh.inc line 49

`public procedure TMultiReadExclusiveWriteSynchronizer.Endread;`

## Description

EndRead is the implementation of IReadWriteSync.EndRead. It simply leaves the critical section.

## Errors

None.

## See also

IReadWriteSync.EndRead |  | End a read operation
BeginRead |  | Request read access to the resource

Documentation generated on: Feb 26 2014